SynchronizationCallbackCoordinatorImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.transaction.synchronization.internal
Class SynchronizationCallbackCoordinatorImpl

    java.lang.Object
      org.hibernate.engine.transaction.synchronization.internal.SynchronizationCallbackCoordinatorImpl

All Implemented Interfaces:
  Synchronization, SynchronizationCallbackCoordinator

    public class SynchronizationCallbackCoordinatorImpl

extends Object
implements SynchronizationCallbackCoordinator

Manages callbacks from the `Synchronization` registered by Hibernate.

Constructor Summary
`SynchronizationCallbackCoordinatorImpl(TransactionCoordinator transactionCoordinator)`

Method Summary
`void` | `afterCompletion(int status)`
`void` | `beforeCompletion()`
`void` | `reset()`
`void` | `setAfterCompletionAction(AfterCompletionAction afterCompletionAction)`
`void` | `setExceptionMapper(ExceptionMapper exceptionMapper)`
`void` | `setManagedFlushChecker(ManagedFlushChecker managedFlushChecker)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SynchronizationCallbackCoordinatorImpl

    public SynchronizationCallbackCoordinatorImpl(TransactionCoordinator transactionCoordinator)

Method Detail

### reset

    public void reset()

### setManagedFlushChecker

    public void setManagedFlushChecker(ManagedFlushChecker managedFlushChecker)

  Specified by:
    `setManagedFlushChecker` in interface `SynchronizationCallbackCoordinator`

### setExceptionMapper

    public void setExceptionMapper(ExceptionMapper exceptionMapper)

  Specified by:
    `setExceptionMapper` in interface `SynchronizationCallbackCoordinator`

### setAfterCompletionAction

    public void setAfterCompletionAction(AfterCompletionAction afterCompletionAction)

  Specified by:
    `setAfterCompletionAction` in interface `SynchronizationCallbackCoordinator`

### beforeCompletion

    public void beforeCompletion()

  Specified by:
    `beforeCompletion` in interface `Synchronization`

### afterCompletion

    public void afterCompletion(int status)

  Specified by:
    `afterCompletion` in interface `Synchronization`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.